%{
#define YYSTYPE double
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
int yylex();
int yyerror(char *);
%}

%token Proved


%%

entrada: 
	| entrada  linha
	;

linha:   '\n'
        | Proved '\n' {printf("%d\n",1);}
	| error '\n' {yyerrok;}
	;


%%

int main()
{
    yyparse();
}

int yyerror(s)
char *s;
{
}
